Index: src/sas/qtgui/Calculators/DataOperationUtilityPanel.py
===================================================================
--- src/sas/qtgui/Calculators/DataOperationUtilityPanel.py	(revision 42787fbf42855bf762f6bc0304e0654ec5288547)
+++ src/sas/qtgui/Calculators/DataOperationUtilityPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -26,4 +26,6 @@
         self.manager = parent
         self.communicator = self.manager.communicator()
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         # To store input datafiles
Index: src/sas/qtgui/Calculators/DensityPanel.py
===================================================================
--- src/sas/qtgui/Calculators/DensityPanel.py	(revision b6f47beac78d9a61064d2509bb2be8d7bf642619)
+++ src/sas/qtgui/Calculators/DensityPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -48,4 +48,7 @@
         self.manager = parent
         self.setupUi()
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.setupModel()
         self.setupMapper()
Index: src/sas/qtgui/Calculators/GenericScatteringCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision 8c85ac11162b75e37f3ec97b8e0ed394aee24b70)
+++ src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -38,4 +38,7 @@
         super(GenericScatteringCalculator, self).__init__()
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.manager = parent
         self.communicator = self.manager.communicator()
Index: src/sas/qtgui/Calculators/KiessigPanel.py
===================================================================
--- src/sas/qtgui/Calculators/KiessigPanel.py	(revision ccdee50d5c2b386a9c0750ec507e27f03a843d9f)
+++ src/sas/qtgui/Calculators/KiessigPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -15,4 +15,6 @@
         super(KiessigPanel, self).__init__()
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.setWindowTitle("Kiessig Thickness Calculator")
Index: src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py
===================================================================
--- src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision 93c813fa91c26db181d649b39377d70b4824dbce)
+++ src/sas/qtgui/Calculators/ResolutionCalculatorPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -41,4 +41,7 @@
         super(ResolutionCalculatorPanel, self).__init__()
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.manager = parent
 
Index: src/sas/qtgui/Calculators/SldPanel.py
===================================================================
--- src/sas/qtgui/Calculators/SldPanel.py	(revision bd39d6c0f20435935f72494ebcc51a8b09d50790)
+++ src/sas/qtgui/Calculators/SldPanel.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -89,4 +89,7 @@
 
         self.setupUi()
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
+
         self.setupModel()
         self.setupMapper()
Index: src/sas/qtgui/Calculators/SlitSizeCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/SlitSizeCalculator.py	(revision fa05c6c1658784af4cd2c607f15d140eb7468310)
+++ src/sas/qtgui/Calculators/SlitSizeCalculator.py	(revision 33c05617b6994eece5b1e65f5d0efaddeb6ae238)
@@ -25,4 +25,6 @@
         super(SlitSizeCalculator, self).__init__()
         self.setupUi(self)
+        # disable the context help icon
+        self.setWindowFlags(self.windowFlags() & ~QtCore.Qt.WindowContextHelpButtonHint)
 
         self.setWindowTitle("Slit Size Calculator")
